<!DOCTYPE html>
<html lang="de-DE">
    <head>
        <link rel="stylesheet" href="input.css">

        <style>
            .nice-input-container {
                --nice-input-background-color: grey;
                --nice-input-border-color: white;
            }

            body {
                margin: 0;
                padding: 0;

                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                gap: 3rem;
                min-height: 100vh;

                background: grey;
            }

            .nice-input-container {
                width: 30%;
            }
        </style>
    </head>
    <body>
        <div class="nice-input-container" style="--nice-input-color: lightblue;">
            <input class="nice-input" type="text" name="Test" required>
            <span class="nice-input-placeholder">Test</span>
        </div>
        <div class="nice-input-container" style="--nice-input-color: lightgreen;">
            <input class="nice-input" type="text" name="Test" required>
            <span class="nice-input-placeholder filled">Test</span>
        </div>

        <div class="nice-input-container" style="--nice-input-color: lightblue;">
            <textarea class="nice-input" name="Test">Test</textarea>
            <span class="nice-input-placeholder filled">Test</span>
        </div>

        <div class="nice-input-container" style="--nice-input-color: magenta">
            <select class="nice-input" name="Test">
                <option value="1">Test1</option>
                <option value="2">Test2</option>
                <option value="3">Test3</option>
            </select>
            <span class="nice-input-placeholder">Test</span>
        </div>

        <script src="input.js"></script>
    </body>
</html>